;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Pose Extender
;
; This patch adds a RAM address which allows a $13E0 pose to be "locked" for
; any (reasonable) amount of time.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

!RAM = $5C

header
lorom

org $00D030
		autoclean JML main
		
freecode

main:
		LDX !RAM
		BEQ .overwrite
		
		DEC !RAM
		RTL
		
	.overwrite
		STA $13E0
		RTL